MRCAL(1)

NAME
mrcal-is-within-valid-intrinsics-region - Reports which input points lie within the valid-intrinsics region

SYNOPSIS
  $ < points-in.vnl
    mrcal-is-within-valid-intrinsics-region --cols-xy x y
      camera.cameramodel
    > points-annotated.vnl

DESCRIPTION
mrcal camera models may have an estimate of the region of the imager where the intrinsics are trustworthy (originally computed with a low-enough error and uncertainty). When using a model, we may want to process points that fall outside of this region differently from points that fall within this region. This tool augments an incoming vnlog with a new column, indicating whether each point does or does not fall within the region.

The input data comes in on standard input, and the output data is written to standard output. Both are vnlog data: a human-readable table of ascii text. The names of the x and y columns in the input are given in the required --cols-xy argument. The output contains all the columns from the input, with an extra column appended at the end, containing the results. The name of this column can be specified with --col-output, but this can be omitted if the default 'is-within-valid-intrinsics-region' is acceptable.

OPTIONS

  POSITIONAL ARGUMENTS
  model                 Camera model

  OPTIONAL ARGUMENTS
  -h, --help            show this help message and exit
  --cols-xy COLS_XY COLS_XY
                        The names of the columns in the input containing the x
                        and y pixel coordinates respectively. This is required
  --col-output COL_OUTPUT
                        The name of the column to append in the output. This
                        is optional; a reasonable default will be used if
                        omitted

REPOSITORY
<https://www.github.com/dkogan/mrcal>

AUTHOR
Dima Kogan, "<dima@secretsauce.net>"

LICENSE AND COPYRIGHT
Copyright (c) 2017-2023 California Institute of Technology ("Caltech"). U.S. Government sponsorship acknowledged. All rights reserved.

Licensed under the Apache License, Version 2.0 (the "License"); You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0